Package org.tanukisoftware.wrapper

# Class WrapperUser

java.lang.Object
org.tanukisoftware.wrapper.WrapperUser

Direct Known Subclasses:
  `WrapperUNIXUser`, `WrapperWin32User`

public abstract class WrapperUser extends Object
A WrapperUser contains information about a user account on the platform running the Wrapper. A WrapperUser is obtained by calling WrapperManager.getUser() or WrapperManager.getInteractiveUser().

## Method Summary

Modifier and Type
Method
Description
`WrapperGroup[]`
`getGroups()`
Returns an array of WrapperGroup instances which define the groups that the user belongs to.
`String`
`getUser()`
Returns the name of the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getUser

public String getUser()
Returns the name of the user.

Returns:
  The name of the user.

### getGroups

public WrapperGroup[] getGroups()
Returns an array of WrapperGroup instances which define the groups that the user belongs to.

Returns:
  An array of WrapperGroups.